Subject: RE: FVWM: Circulate and NoIcon window

From: "Haezebrouck, Sebastien" <[email-masked]>
Date: Fri, 19 Sep 2003 20:32:31 +0200

I just tried:

Style * NoIconTitle
Style * IconSize 0 0 0 0

This did not work either... No icon, but no focus by Alt-Tab

Seb

-----Original Message-----
From: Haezebrouck, Sebastien 
Sent: Friday, September 19, 2003 8:18 PM
To: FVWM mailing list
Subject: FVWM: Circulate and NoIcon window

Hi,

I use an IconMan swallowed in FvwmButton that only show current page
windows, and have "Style * NoIcon"
in my .fvwm2rc.
Alt-Tab is bound to "Next [CurrentPage] Focus".
Cycling through windows with Alt-Tab works great... except that when I
iconify one window, I cannot cycle to it by Alt-Tab, even though it appears
in IconMan.
This makes sense (no Icon for the window = nothing to Focus on), but I'd
like to know if there is some way to solve this, i.e. have Alt-Tab bound to
some function that would focus my
IconMan-swallowed-iconified-windows-that-do-not-have-Icons in addition of
any other windows.

The best I could come up so far was to remove Style * NoIcon, and use
invisible icons by setting: 

Style * IconSize 0 0 0 0    # Size 0 picture
Style * IconTitleColorset 3 # Transparent colorset
Style * HilightIconTitleColorset 3
Style * IconTitleRelief 0

But the icon text still show... and this is an awful kludge for such a great
WM.

Thanks,

Seb

PS: I use 2.5.7
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].